Delete Payment Instrument

Use this endpoint for a specific shopper delete a specific payment instrument stored for convenience or for scheduled or unschreduled recurring/MIT payments



Endpoint

DELETE /v1/merchant-admin/card-on-file/{{merchantShopperId}}/{{paymentInstrumentReference
 }}
  • {merchantShopperId} — the unique identifier of the shopper.
  • {paymentInstrumentReference} — the unique identifier of the payment instrument.

Example Request

DELETE /v1/merchant-admin/card-on-file/{{merchantShopperId}}/{{paymentInstrumentReference
 }}

Example Response

{
  "responseInfo": {
    "responseCode": 0,
    "responseText": "Success"
  }
}

Field Reference

Path Parameter

FieldTypeRequiredDescription
merchantShopperIdstringYesThe unique identifier you used when identifying the shopper.
paymentInstrumentReferencestringYesThe unique identifier of the payment instrument you want to delete.

Response

responseInfo

FieldTypeRequiredDescription
responseCodeintegerYesA code indicating the request result.
responseTextstringYesA human-readable description of the result.

Important Notes


Did this page help you?